/*********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2022 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/
@use 'shop/resources/scss/base/constants/colors';
@use 'shop/resources/scss/base/mixins/breakpoints';

.carousel {
    --slide-spacing: 2rem;
    --slide-size: 75%;
    --slide-height: 19rem;
    margin: 60px 0;
    width: 100%;
    position: relative;

    @include breakpoints.screen-m-and-up {
        --slide-size: 40%;
    }
    @include breakpoints.screen-l-and-up {
        --slide-size: 30%;
    }
    @include breakpoints.screen-xl-and-up {
        --slide-size: 20%;
    }
}

.viewport {
    overflow: hidden;
    position: relative;
    z-index: 0;
}

.container {
    display: flex;
    margin-left: calc(var(--slide-spacing) * -1);
}

.slide {
    flex: 0 0 var(--slide-size);
    min-width: 0;
    padding-left: var(--slide-spacing);
    position: relative;
}
